aboutsummaryrefslogtreecommitdiffstats
path: root/tools/k8s/cluster-deployment/uscni/entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/k8s/cluster-deployment/uscni/entrypoint.sh')
-rwxr-xr-xtools/k8s/cluster-deployment/uscni/entrypoint.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/k8s/cluster-deployment/uscni/entrypoint.sh b/tools/k8s/cluster-deployment/uscni/entrypoint.sh
new file mode 100755
index 00000000..0658f150
--- /dev/null
+++ b/tools/k8s/cluster-deployment/uscni/entrypoint.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Always exit on errors.
+set -e
+
+# Check if /opt/cni/bin directory exists
+if [ ! -d "/host/opt/cni/bin" ]
+then
+ echo "Directory /opt/cni/bin/ does not exists."
+ exit 1;
+fi
+
+# Copy cni-plugin on host machine
+cp -f /userspace /host/opt/cni/bin/
+
+# Sleep for 50 years.
+# sleep infinity is not available in alpine;
+sleep 2147483647